## biomaj3-daemon 3.0.14

=== requirements.txt ===
biomaj
biomaj-user
biomaj-zipkin
redis
PyYAML
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj-core>=3.0.10

=== debian/changelog ===
biomaj3-daemon (3.0.14-1) unstable; urgency=medium

  * New upstream release 
    d/control: move to standards 4.1.3

 -- Olivier Sallou <osallou@debian.org>  Sat, 10 Feb 2018 17:04:18 +0000

biomaj3-daemon (3.0.12-1) unstable; urgency=low

  * First packaging of biomaj-daemon (Closes: #872449).

 -- Olivier Sallou <osallou@debian.org>  Thu, 17 Aug 2017 09:59:28 +0000

=== debian/control ===
Source: biomaj3-daemon
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               protobuf-compiler,
               python3-all,
               python3-bcrypt,
               python3-consul,
               python3-flask,
               python3-mock,
               python3-nose,
               python3-pika,
               python3-prometheus-client,
               python3-protobuf,
               python3-pymongo,
               python3-redis,
               python3-setuptools,
               python3-yaml,
               python3-biomaj3-core,
               python3-biomaj3-zipkin,
               python3-biomaj3
Standards-Version: 4.1.3
Homepage: https://github.com/genouest/biomaj-daemon
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-daemon.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-daemon.git

Package: python3-biomaj3-daemon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-gunicorn, mongodb, redis-server
XB-Python-Egg-Name: biomaj-daemon
Description: BioMAJ daemon library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library and microservice to manage daemon and CLI
 in BioMAJ3

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=biomaj-daemon
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-daemon/usr/bin/biomaj_daemon_consumer.py

## biomaj3-daemon 3.0.17

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,4 @@
 prometheus_client>=0.0.18
 requests
 biomaj-core>=3.0.10
+biomaj>=3.1.6

=== debian/changelog ===
biomaj3-daemon (3.0.17-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Olivier Sallou ]
  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Thu, 25 Oct 2018 09:23:42 +0000

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/biomaj3-daemon-$1\.tar\.gz/" \
  https://github.com/genouest/biomaj-daemon/tags .*/v?(\d\S+)\.tar\.gz

## biomaj3-daemon 3.0.19

=== debian/changelog ===
biomaj3-daemon (3.0.19-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Mar 2019 10:23:28 +0000

## biomaj3-daemon 3.0.20

=== requirements.txt ===
biomaj-user
biomaj-zipkin
redis
PyYAML
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj-core>=3.0.16
biomaj>=3.1.7

=== debian/changelog ===
biomaj3-daemon (3.0.20-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Tue, 12 Nov 2019 10:34:19 +0000

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                python3-biomaj3
 Standards-Version: 4.1.3
 Homepage: https://github.com/genouest/biomaj-daemon
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-daemon.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-daemon.git
+Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-daemon
+Vcs-Git: https://salsa.debian.org/med-team/biomaj3-daemon.git
 
 Package: python3-biomaj3-daemon
 Architecture: all

## biomaj3-daemon 3.0.22

=== debian/changelog ===
biomaj3-daemon (3.0.22-2) unstable; urgency=medium

  * Team Upload.
  * Fix with correct import-name (Closes: #982168)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 07 Feb 2021 15:48:10 +0530

biomaj3-daemon (3.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/rules: Replace DEB_BUILD_OPTIONS by DEB_BUILD_MAINT_OPTIONS
  * Lintian override for script-with-language-extension

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 09:36:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: biomaj3-daemon
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                protobuf-compiler,
                python3-all,
                python3-bcrypt,
@@ -21,8 +22,9 @@
                python3-biomaj3-core,
                python3-biomaj3-zipkin,
                python3-biomaj3
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Homepage: https://github.com/genouest/biomaj-daemon
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-daemon
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-daemon.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #! /usr/bin/make -f
 
-export DEB_BUILD_OPTIONS=nocheck
+export DEB_BUILD_MAINT_OPTIONS=nocheck
 
 export PYBUILD_NAME=biomaj-daemon
 %:

## biomaj3-daemon 3.0.24

=== requirements.txt ===
--- 
+++ 
@@ -7,4 +7,5 @@
 prometheus_client>=0.0.18
 requests
 biomaj-core>=3.0.16
-biomaj>=3.1.7
+biomaj>=3.1.14
+flask-cors

=== debian/changelog ===
biomaj3-daemon (3.0.24-2) unstable; urgency=medium

  * Team Upload.
  * No build time tests are run in the package, hence
    simply drop build dep on nose (Closes: #1018317 )

 -- Nilesh Patra <nilesh@debian.org>  Fri, 23 Dec 2022 11:18:19 +0000

biomaj3-daemon (3.0.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 11:56:01 +0200

=== debian/control ===
Source: biomaj3-daemon
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               protobuf-compiler,
               python3-all,
               python3-bcrypt,
               python3-consul,
               python3-flask,
               python3-mock,
               python3-pika,
               python3-prometheus-client,
               python3-protobuf,
               python3-pymongo,
               python3-redis,
               python3-setuptools,
               python3-yaml,
               python3-biomaj3-core,
               python3-biomaj3-zipkin,
               python3-biomaj3
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-daemon
Vcs-Git: https://salsa.debian.org/med-team/biomaj3-daemon.git
Homepage: https://github.com/genouest/biomaj-daemon
Rules-Requires-Root: no

Package: python3-biomaj3-daemon
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests},
          python3-gunicorn,
          redis-server
Description: BioMAJ daemon library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library and microservice to manage daemon and CLI
 in BioMAJ3
XB-Python-Egg-Name: biomaj-daemon

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_test:
+
 override_dh_install:
 	dh_install
 	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-daemon/usr/bin/biomaj_daemon_consumer.py
